Uhr

vim: Schwachstelle ermöglicht Denial of Service

Für vim liegt eine IT-Sicherheitswarnung vor. Um welche Schwachstelle es sich handelt, welche Produkte betroffen sind und was Sie tun können, erfahren Sie hier.

Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). (Foto) Suche
Aktuelle IT-Sicherheitshinweise auf news.de (Symbolbild). Bild: picture alliance / dpa | Jana Pape

Das Bundesamt für Sicherheit in der Informationstechnik (BSI) hat am 27.12.2022 ein Update zu einer am 22.02.2022 bekanntgewordenen Sicherheitslücke für vim herausgegeben. Betroffen von der Sicherheitslücke sind die Betriebssysteme UNIX, Linux und Windows sowie die Produkte Debian Linux, Amazon Linux 2, SUSE Linux und Open Source vim.

Die neuesten Hersteller-Empfehlungen bezüglich Updates, Workarounds und Sicherheitspatches für diese Sicherheitslücke finden Sie hier: SUSE Security Update SUSE-SU-2022:4619-1 (Stand: 27.12.2022). Weitere nützliche Links werden weiter unten in diesem Artikel aufgeführt.

Sicherheitshinweis für vim - Risiko: mittel

Risikostufe: 3 (mittel)
CVSS Base Score: 6,5
CVSS Temporal Score: 5,9
Remoteangriff: Ja

Zur Bewertung des Schweregrads von Sicherheitsanfälligkeiten in Computersystemen wird das Common Vulnerability Scoring System (CVSS) angewandt. Der CVSS-Standard ermöglicht es, potenzielle oder tatsächliche Sicherheitslücken auf Basis verschiedener Kriterien miteinander zu vergleichen, um Gegenmaßnahmen besser priorisieren zu können. Für die Schweregrade einer Schwachstelle werden die Attribute "keine", "niedrig", "mittel", "hoch" und "kritisch" verwendet. Der Base Score bewertet die Voraussetzungen für einen Angriff (u.a. Authentifizierung, Komplexität, Privilegien, Userinteraktion) sowie dessen Konsequenzen. Der Temporal Score berücksichtigt darüber hinaus zeitliche Veränderungen hinsichtlich der Gefahrenlage. Die Gefährdung der aktuellen Schwachstelle wird nach dem CVSS mit einem Base Score von 6,5 als "mittel" eingestuft.

vim Bug: Schwachstelle ermöglicht Denial of Service

Vim (Vi IMproved) ist eine Weiterentwicklung des Texteditors vi.

Ein entfernter, anonymer Angreifer kann eine Schwachstelle in vim ausnutzen, um einen Denial of Service Angriff durchzuführen.

Klassifiziert wurde die Schwachstelle mithilfe des CVE-Bezeichnungssystems (Common Vulnerabilities and Exposures) durch die individuelle Seriennummer CVE-2022-0696.

Von der vim-Sicherheitslücke betroffene Systeme im Überblick

Betriebssysteme
UNIX, Linux, Windows

Produkte
Debian Linux (cpe:/o:debian:debian_linux)
Amazon Linux 2 (cpe:/o:amazon:linux_2)
SUSE Linux (cpe:/o:suse:suse_linux)
Open Source vim (cpe:/a:vim:vim)

Allgemeine Maßnahmen zum Umgang mit IT-Schwachstellen

  1. Anwender der betroffenen Anwendungen sollten diese auf dem aktuellsten Stand halten. Hersteller sind bei Bekanntwerden von Sicherheitslücken dazu angehalten, diese schnellstmöglich durch Entwicklung eines Patches oder eines Workarounds zu beheben. Sollten Sicherheitspatches verfügbar sein, installieren Sie diese zeitnah.

  2. Konsultieren Sie zu Informationszwecken die im nächsten Abschnitt aufgeführten Quellen. Häufig enthalten diese weiterführende Informationen zur aktuellsten Version der betreffenden Software sowie zur Verfügbarkeit von Sicherheitspatches oder Hinweise zu Workarounds.

  3. Wenden Sie sich bei weiteren Fragen oder Unsicherheiten an Ihren zuständigen Administrator. IT-Sicherheitsverantwortliche sollten die genannten Quellen regelmäßig daraufhin prüfen, ob ein neues Sicherheitsupdate zur Verfügung steht.

Quellen zu Updates, Patches und Workarounds

An dieser Stelle befinden sich weiterführende Links mit Informationen über Bug-Reports, Security-Fixes und Workarounds.

SUSE Security Update SUSE-SU-2022:4619-1 vom 2022-12-27 (27.12.2022)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2022-December/013343.html

Debian Security Advisory DLA-3204 vom 2022-11-24 (24.11.2022)
Weitere Informationen finden Sie unter: https://lists.debian.org/debian-lts-announce/2022/11/msg00032.html

SUSE Security Update SUSE-SU-2022:2102-1 vom 2022-06-16 (17.06.2022)
Weitere Informationen finden Sie unter: https://lists.suse.com/pipermail/sle-security-updates/2022-June/011301.html

Amazon Linux Security Advisory ALAS2-2022-1805 vom 2022-06-07 (08.06.2022)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2022-1805.html

Amazon Linux Security Advisory ALAS-2022-077 vom 2022-05-20 (20.05.2022)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2022/ALAS-2022-077.html

Amazon Linux Security Advisory ALAS-2022-1771 vom 2022-04-07 (07.04.2022)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/AL2/ALAS-2022-1771.html

Amazon Linux Security Advisory ALAS-2022-1579 vom 2022-04-07 (07.04.2022)
Weitere Informationen finden Sie unter: https://alas.aws.amazon.com/ALAS-2022-1579.html

PoC auf huntr.dev vom 2022-02-21 (22.02.2022)
Weitere Informationen finden Sie unter: https://huntr.dev/bounties/7416c2cb-1809-4834-8989-e84ff033f15f/

Versionshistorie dieser Sicherheitswarnung

Dies ist die 9. Version des vorliegenden IT-Sicherheitshinweises für vim. Bei Bekanntgabe weiterer Updates wird dieser Text aktualisiert. Die vorgenommenen Änderungen können Sie anhand der folgenden Versionshistorie nachvollziehen.

22.02.2022 - Initiale Fassung
23.02.2022 - CVE ergänzt
25.02.2022 - Referenz(en) aufgenommen: FEDORA-2022-48BF3CB1C4
07.04.2022 - Neue Updates von Amazon aufgenommen
20.05.2022 - Neue Updates von Amazon aufgenommen
08.06.2022 - Neue Updates von Amazon aufgenommen
17.06.2022 - Neue Updates von SUSE aufgenommen
24.11.2022 - Neue Updates von Debian aufgenommen
27.12.2022 - Neue Updates von SUSE aufgenommen

+++ Redaktioneller Hinweis: Dieser Text wurde auf Basis aktueller BSI-Daten KI-gestützt erstellt. Feedback und Anmerkungen nehmen wir unter hinweis@news.de entgegen. +++

Folgen Sie News.de schon bei Facebook, Twitter, Pinterest und YouTube? Hier finden Sie brandheiße News, aktuelle Videos und den direkten Draht zur Redaktion.

roj/news.de

Themen:
Bleiben Sie dran!

Wollen Sie wissen, wie das Thema weitergeht? Wir informieren Sie gerne.